Administrator/routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PostController;
use App\Http\Controllers\EventController;
use App\Http\Controllers\ImagesController;
use App\Http\Controllers\WelcomeController;

// Welcome Blade Start up - DONT TOUCH
// Route::get('/', function () {
//     // return view('welcome');
// })->name('welcome');

Route::resource('/', WelcomeController::class);
Route::get('/discussion/{id}', [WelcomeController::class, 'discussion'])->name('discussion');
Route::get('/discussion/post/{post}', [WelcomeController::class, 'discussionPost'])->name('discussion.post');

// Authorized Routes - DONT TOUCH
Auth::routes();

// Dashboard Route - DONT TOUCH
Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Auth::routes();

// Dashboard Authorized route - DONT TOUCH
Route::get('/home', 'App\Http\Controllers\HomeController@index')->name('home')->middleware('auth');

// Authorization -> user need to be loged in to access this routes
Route::group(['middleware' => 'auth'], function () {
	// Calendar - DONT TOUCH
	Route::get('/events/recent', [EventController::class, 'recentEventsJson'])->name('events.recent');
    Route::resource('events', EventController::class);

	// Map - DONT TOUCH
	Route::get('map', function () {
		return view('pages.map');
	})->name('map');
	
	// Posts
	Route::resource('/post', PostController::class);

	// Images
	Route::resource('/image', ImagesController::class);
});

// Frameword user manager configuration routes - DONT TOUCH
Route::group(['middleware' => 'auth'], function () {
	Route::resource('user', 'App\Http\Controllers\UserController', ['except' => ['show']]);
	Route::get('profile', ['as' => 'profile.edit', 'uses' => 'App\Http\Controllers\ProfileController@edit']);
	Route::put('profile', ['as' => 'profile.update', 'uses' => 'App\Http\Controllers\ProfileController@update']);
	Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'App\Http\Controllers\ProfileController@password']);
});

Administrator/resources/views/layouts/navbars/sidebar.blade.php
<div class="sidebar" data-color="rose" data-background-color="white" data-image="{{ asset('material') }}/img/sidebar-1.jpg">
  <!--
      Tip 1: You can change the color of the sidebar using: data-color="purple | azure | green | orange | danger"

      Tip 2: you can also add an image using data-image tag
  -->
  <div class="logo" style="cursor: default;">
    <span class="simple-text logo-normal">
      {{ __('Administrator') }}
    </span>
  </div>

  {{-- Menu --}}
  <div class="sidebar-wrapper">
    <ul class="nav">

      {{-- Dashboard --}}
      <li class="nav-item{{ $activePage == 'dashboard' ? ' active' : '' }}">
        <a class="nav-link" href="{{ route('home') }}">
          <i class="material-icons">dashboard</i>
            <p>{{ __('Dashboard') }}</p>
        </a>
      </li>

      {{-- Profile Manager --}}
      <li class="nav-item {{ ($activePage == 'profile' || $activePage == 'user-managment') ? ' active' : '' }}">
        <a class="nav-link {{ ($activePage == 'profile' || $activePage == 'user-managment') ? '' : 'collapsed' }} " data-toggle="collapse" href="#laravelExample" aria-expanded="{{ ($activePage == 'profile' || $activePage == 'user-managment') ? 'true' : 'false' }}">
          <i style="width:25px">
            <svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2">
              <path stroke-linecap="round" stroke-linejoin="round" d="M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z" />
            </svg>
          </i>
          <p>{{ __('Profile Manager') }}
            <b class="caret"></b>
          </p>
        </a>
        
        <div class="collapse {{ ($activePage == 'profile' || $activePage == 'user-managment') ? 'show' : '' }}" id="laravelExample">
          <ul class="nav">
            <li class="nav-item{{ $activePage == 'profile' ? ' active' : '' }}">
              <a class="nav-link" href="{{ route('profile.edit') }}">
                <span class="sidebar-mini"><i class="material-icons">perm_contact_calendar</i></span>
                <span class="sidebar-normal">{{ __('User profile') }} </span>
              </a>
            </li>
            <li class="nav-item{{ $activePage == 'user-managment' ? ' active' : '' }}">
              <a class="nav-link" href="{{ route('user.index') }}">
                <span class="sidebar-mini"><i class="material-icons">manage_accounts</i></span>
                <span class="sidebar-normal"> {{ __('User Management') }} </span>
              </a>
            </li>
          </ul>
        </div>
      </li>

      {{-- Posts --}}
      <li class="nav-item{{ $activePage == 'posts' ? ' active' : '' }}">
        <a class="nav-link" href="{{ route('post.index') }}">
          @include('layouts.actions.icon', ['icon' => 'content_paste'])
            <p>{{ __('Posts') }}</p>
        </a>
      </li>

      {{-- Images --}}
      <li class="nav-item{{ $activePage == 'images' ? ' active' : '' }}">
        <a class="nav-link" href="{{ route('image.index') }}">
          @include('layouts.actions.icon', ['icon' => 'collections'])
            <p>{{ __('Images') }}</p>
        </a>
      </li>

      {{-- Calendar --}}
      <li class="nav-item{{ $activePage == 'calendar' ? ' active' : '' }}">
        <a class="nav-link" href="{{ route('events.index') }}">
          @include('layouts.actions.icon', ['icon' => 'event'])
            <p>{{ __('Calendar') }}</p>
        </a>
      </li>
      
      {{-- Maps --}}
      <li class="nav-item{{ $activePage == 'map' ? ' active' : '' }}">
        <a class="nav-link" href="{{ route('map') }}">
          <i class="material-icons">location_ons</i>
            <p>{{ __('Maps') }}</p>
        </a>
      </li>

    </ul>
  </div>
</div>